<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta http-equiv="Content-Type" content = "text/html; charset=UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0">

<title>Home - Shopme Admin</title>

	<link rel="stylesheet" type="text/css" th:href="@{/webjars/bootstrap/css/bootstrap.min.css}">
	<link rel="stylesheet" type="text/css" th:href="@{/fontawesome/all.css}" />
	<link rel="stylesheet" type="text/css" th:href="@{/style.css}" />
	<script type="text/javascript" th:src="@{/webjars/jquery/jquery.min.js}" ></script>
	<script type="text/javascript" th:src="@{/webjars/bootstrap/js/bootstrap.min.js}" ></script>
</head>
<body>
<div class="contrainer-fluid">
	<div>
		<nav class="navbar navbar-expand-lg bg-dark navbar-dark">
			<a class="navar-brand" th:href="@{/}">
				<img th:src="@{/images/ShopmeAdminSmall.png}" />
			</a>
			<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#topNavbar">
				<span class="navbar-toggler-icon"></span>
			</button>
			<div class="collapse navbar-collapse" id="topNavbar">
				<ul class="navbar-nav">
					<li class="nav-item">
						<a class="nav-link" th:href="@{/users}">Users</a>
					</li>
					<li class="nav-item">
						<a class="nav-link" th:href="@{/categories}">Categories</a>
					</li>
					<li class="nav-item">
						<a class="nav-link" th:href="@{/brands}">Brands</a>
					</li>
					<li class="nav-item">
						<a class="nav-link" th:href="@{/products}">Products</a>
					</li>
					<li class="nav-item">
						<a class="nav-link" th:href="@{/customers}">Customers</a>
					</li>
					<li class="nav-item">
						<a class="nav-link" th:href="@{/shipping}">Shipping</a>
					</li>
					<li class="nav-item">
						<a class="nav-link" th:href="@{/orders}">Orders</a>
					</li>
					<li class="nav-item">
						<a class="nav-link" th:href="@{/report}">Sales Report</a>
					</li>
					<li class="nav-item">
						<a class="nav-link" th:href="@{/articles}">Articles</a>
					</li>
					<li class="nav-item">
						<a class="nav-link" th:href="@{/menus}">Menus</a>
					</li>
					<li class="nav-item">
						<a class="nav-link" th:href="@{/settings}">Settings</a>
					</li>
				</ul>
			</div>
		</nav>
	</div>
	<div>
		<h2>Manage Users</h2>
		<a th:href="@{/users/new}">Create New User</a>
	</div>
	
	<div th:if="${message != null}" class="alert  alert-success text-center">
		[[${message}]]
	</div>
	
	<div>
		<table class="table table-bordered table-striped table-hover table-responsive-xL table-dark">
			<thead class="thead-dark">
				<tr>
					<th>User ID</th>
					<th>Photos</th>
					<th>E-mail</th>
					<th>First Name</th>
					<th>Last Name</th>
					<th>Roles</th>
					<th>Enabled</th>
					<th></th>
				</tr>								
			</thead>
			<tbody>
				<tr th:each="user : ${listUsers}">
					<td>[[${user.id}]]</td>
					<td>
						<span th:if="${user.photos == null}" class="fas fa-portrait fa-3x icon-silver"></span>
						<img th:if="${user.photos != null}" th:src="@{${user.photosImagePath}}" 
							style="width: 100px" />
					</td>
					<td>[[${user.email}]]</td>
					<td>[[${user.firstName}]]</td>
					<td>[[${user.lastName}]]</td>
					<td>[[${user.roles}]]</td>
					
					<td>
						<a th:if="${user.enabled == true}" class="fas fa-check-circle fa-2x icon-green"
							th:href="@{'/users/' + ${user.id} + '/enabled/false'}"
							title="Disable this user"
							></a>
							
						<a th:if="${user.enabled == false}" class="fas fa-circle fa-2x icon-dark"
							th:href="@{'/users/' + ${user.id} + '/enabled/true'}"
							title="Enable this user"
							></a>
					</td>
					
					<td>
						<a class="fas fa-edit fa-2x icon-green" th:href="@{'/users/edit/' + ${user.id}}"
						title="Edit this user "
						></a>
						 &nbsp;
						<a class="fas fa-trash fa-2x icon-red link-delete" 
							th:href="@{'/users/delete/' + ${user.id}}"
							th:userId="${user.id}"
							title="Delete this user"></a>
					</td>
				</tr>
			</tbody>
		</table>
	</div>
		<div class="modal fade text-center" id="confirmModal">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-header">
					<h4 class="modal-title">Delete Confirmation</h4>
					<button type="button" class="close" data-dismiss="modal">&times;</button>
				</div>

				<div class="modal-body">
					<span id="confirmText"></span>
				</div>

				<div class="modal-footer">
					<a class="btn btn-success" href="" id="yesButton">Yes</a>
					<button type="button" class="btn btn-danger" data-dismiss="modal">No</button>
				</div>
			</div>
		</div>
	</div>
	<div class="text-center">
		<p>Shopme Control Panel - Copyright &copy; Shopme</p>
	</div>
	
</div>
<script type="text/javascript">
	$(document).ready(function() {
		$(".link-delete").on("click", function(e) {
			e.preventDefault();
			link = $(this);
			//alert($(this).attr("href"));
			userId = link.attr("userId");
			$("#yesButton").attr("href", link.attr("href"));
			$("#confirmText").text("Are you sure you want to delete this user ID " + userId + "?");
			$("#confirmModal").modal();
		});
	});
</script>
</body>
</html>